Package org.kapott.hbci.sepa.jaxb.camt_052_001_06

# Class MessageIdentification2

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_06.MessageIdentification2

public class MessageIdentification2 extends Object

Java class for MessageIdentification2 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="MessageIdentification2">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MsgNmId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max35Text" minOccurs="0"/>
             <element name="MsgId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.06}Max35Text" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`msgId`
`protected String`
`msgNmId`

## Constructor Summary

Constructors
Constructor
Description
`MessageIdentification2()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getMsgId()`
Gets the value of the msgId property.
`String`
`getMsgNmId()`
Gets the value of the msgNmId property.
`void`
`setMsgId(String value)`
Sets the value of the msgId property.
`void`
`setMsgNmId(String value)`
Sets the value of the msgNmId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### msgNmId

protected String msgNmId

### msgId

protected String msgId

## Constructor Details

### MessageIdentification2

public MessageIdentification2()

## Method Details

### getMsgNmId

public String getMsgNmId()
Gets the value of the msgNmId property.

Returns:
  possible object is `String`

### setMsgNmId

public void setMsgNmId(String value)
Sets the value of the msgNmId property.

Parameters:
  `value` - allowed object is `String`

### getMsgId

public String getMsgId()
Gets the value of the msgId property.

Returns:
  possible object is `String`

### setMsgId

public void setMsgId(String value)
Sets the value of the msgId property.

Parameters:
  `value` - allowed object is `String`